#!/bin/bash
llog "startup for 3115 mounts"
dir=$(dirname "$(dirname -- "${BASH_SOURCE[0]}")")
for f in $dir/function/ssh-mounts/*; do
llog "sourcing: $f"
source "$f"
done
# declare -F | grep 238
delay=60
mkdir -p $dir/logs
touch $dir/logs/3115-mount.log
notify-send "mounting 3115 network directories in $delay secs"
( sleep $delay ;
echo $(date) > $dir/logs/3115-mount.log;
llog "after $delay sec delay 3115 network is mounting"
notify-send "mounting 3115 network directories in /mnt/3115"
ssh-mount-3115 2>&1 | tee -a $dir/logs/3115-mount.log
notify-send "done mounting 3115 network directories"
) &
