#!/bin/bash
llog "startup for 238 mounts"
dir=$(dirname "$(dirname -- "${BASH_SOURCE[0]}")")
for f in $dir/function/ssh-mounts/*; do
llog "sourcing: $f"
source "$f"
done
# declare -F | grep 238
delay=60
mkdir -p $dir/logs
touch $dir/logs/238-mount.log
notify-send "mounting 238 network directories in $delay secs"
( sleep $delay ;
echo $(date) > $dir/logs/238-mount.log;
llog "after $delay sec delay 238 network is mounting"
notify-send "mounting 238 network directories in /mnt/238"
ssh-mount-238 2>&1 | tee -a $dir/logs/238-mount.log
notify-send "done mounting 238 network directories"
) &
